## org.eclipse.jst.jsf.context.structureddocument
Interface IStructuredDocumentContext

All Superinterfaces:
  IDocumentContext, IModelContext

All Known Implementing Classes:
  AbstractStructuredDocumentContext

    public interface IStructuredDocumentContext

extends IDocumentContext

Encapsulates runtime context in an SSE IStructuredDocument

Method Summary
`int` `getDocumentPosition()`
`IDocument` `getStructuredDocument()`

Method Detail

### getStructuredDocument

    IDocument getStructuredDocument()

  Returns:
    the text viewer whose context we are in

### getDocumentPosition

    int getDocumentPosition()

  Returns:
    the document position within the text viewer's context where we are.